osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass > Class Template Reference

`#include <ProjectionShadowMap>`

Inheritance diagram for osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >:

## Classes

struct | ViewData

## Public Types

typedef MinimalBoundsBaseClass | BaseClass
typedef ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass > | ThisClass

## Public Member Functions

| ProjectionShadowMap ()
| ProjectionShadowMap (const ProjectionShadowMap &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgShadow, ProjectionShadowMap)

## Protected Member Functions

virtual | ~ProjectionShadowMap (void)

## Member Typedef Documentation

## BaseClass

template<typename MinimalBoundsBaseClass, typename ShadowProjectionAlgorithmClass>

typedef MinimalBoundsBaseClass osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::BaseClass

Convenient typedef used in definition of ViewData struct and methods

## ThisClass

template<typename MinimalBoundsBaseClass, typename ShadowProjectionAlgorithmClass>

typedef ProjectionShadowMap<MinimalBoundsBaseClass,ShadowProjectionAlgorithmClass> osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::ThisClass

Convenient typedef used in definition of ViewData struct and methods

## Constructor & Destructor Documentation

## ProjectionShadowMap() [1/2]

template<typename MinimalBoundsBaseClass, typename ShadowProjectionAlgorithmClass>

osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::ProjectionShadowMap | ( |  | ) |

inline

Classic OSG constructor

## ProjectionShadowMap() [2/2]

template<typename MinimalBoundsBaseClass, typename ShadowProjectionAlgorithmClass>

osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::ProjectionShadowMap | ( | const ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass > & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

Classic OSG cloning constructor

## ~ProjectionShadowMap()

template<typename MinimalBoundsBaseClass, typename ShadowProjectionAlgorithmClass>

virtual osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::~ProjectionShadowMap | ( | void |  | ) |

inline protected virtual

Classic protected OSG destructor

## Member Function Documentation

## META_Object()

template<typename MinimalBoundsBaseClass, typename ShadowProjectionAlgorithmClass>

osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::META_Object | ( | osgShadow | ,
|  | ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass > | )

Declaration of standard OSG object methods

The documentation for this class was generated from the following file:

- ProjectionShadowMap